Bug 104928 - mail/p5-Sendmail-Milter no maintainer
Summary: mail/p5-Sendmail-Milter no maintainer
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mark Linimon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-10-30 13:10 UTC by Marc Sztochay
Modified: 2006-12-10 18:00 UTC (History)
0 users

See Also:


Attachments
file.diff (1.01 KB, patch)
2006-10-30 13:10 UTC, Marc Sztochay
no flags Details | Diff
patch.p5-Sendmail-Milter (747 bytes, text/plain; charset=us-ascii)
2006-11-04 13:13 UTC, msztochay
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Sztochay 2006-10-30 13:10:20 UTC
	Port expires if no maintainer found. I would be glad to
	help as a maintainer and will also improve Makefile and
	building of dependencies after some more testing. Port is
	building fine so far but needs prerequisits

How-To-Repeat: 	n/a
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2006-10-31 18:19:52 UTC
State Changed
From-To: open->feedback

I think you misunderstand the issue.  The port will not expire only on 
the basis that it has no maintainer; the port will expire because, in its 
current form, it cannot be packaged correctly on the build cluster. 

Please let me know if you can submit a patch that fixes this and if so I'll 
switch the maintainership over; otherwise, I would prefer to let the port 
expire. 


Comment 2 Mark Linimon freebsd_committer freebsd_triage 2006-10-31 18:19:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->linimon

track.
Comment 3 msztochay 2006-11-02 09:33:41 UTC
Hope this solves the packaging problem on build cluster.
Tested on 3 systems without problems.

patch.p5-Sendmail-Milter:

2,3c2,3
< # Date created:				25 March 2003
< # Whom:					Maxim Sobolev <sobomax@FreeBSD.org>
---
> # Date created:				01 November 2006
> # Whom:					Marc Sztochay <marc@pilgerer.org>

5d4
< # $FreeBSD: ports/mail/p5-Sendmail-Milter/Makefile,v 1.5 2006/09/02 20:27:09 kris Exp $
18,20d16
< IGNORE=		"Requires perl compiled manually with threads."
< DEPRECATED=	${IGNORE}
< EXPIRATION_DATE=2006-12-01
26c22,31
< .include <bsd.port.mk>
---
> .include <bsd.port.pre.mk>
> 
> .if exists(${PERL5})
> PERLTHREADS!=${PERL5} -V:usethreads | ${AWK} '/define/ { print "define"; exit }'
> .if ${PERLTHREADS} != "define"
> BROKEN=         "requires perl to be built with -DWITH_THREADS"
> .endif
> .endif
> 
> .include <bsd.port.post.mk>
Comment 4 Mark Linimon 2006-11-04 03:22:55 UTC
On Thu, Nov 02, 2006 at 09:40:25AM +0000, Marc Sztochay wrote:
>  > .if ${PERLTHREADS} != "define"
>  > BROKEN=         "requires perl to be built with -DWITH_THREADS"
>  > .endif

s/BROKEN/IGNORE/ .  BROKEN means "doesn't compile on pointyhat but we
should keep trying it anyways".  IGNORE means "it doesn't, and won't,
work this way".

mcl
Comment 5 msztochay 2006-11-04 13:13:39 UTC
This patch just corrects an undestanding proble of my earlier one. Thanks
Mark.


-- 
Marc Szochay (Pilgerer Org.) - Tel +49-0170-2882871

http://www.pilgerer.org/ - Die Kommunikations- und Kooperations-
plattform fuer Unix-Fans und alle die es werden wollen. Macht mit!
Comment 6 Mark Linimon freebsd_committer freebsd_triage 2006-12-10 17:46:16 UTC
State Changed
From-To: feedback->closed

Committed, thanks.
Comment 7 dfilter service freebsd_committer 2006-12-10 17:50:26 UTC
linimon     2006-12-10 17:49:59 UTC

  FreeBSD ports repository

  Modified files:
    mail/p5-Sendmail-Milter Makefile 
  Log:
  Set to require perl built with threads to save from deprecation.  I don't
  know of any better way to detect this.
  
  PR:             ports/104928
  Submitted by:   marc@pilgerer.org (new maintainer)
  
  Revision  Changes    Path
  1.6       +12 -7     ports/mail/p5-Sendmail-Milter/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"